Skip to main content

Get All Open Finance Payments

GET 

/open-finance/payments

Get all open finance payments with filters.

Request

Query Parameters

    page number

    Default value: 1

    Page number.

    size number

    Possible values: <= 100

    Default value: 20

    Page size. Max size is 100.

    sort string

    Possible values: [id, created_at, amount, payment_date, status]

    Page sort attribute.

    order string

    Possible values: [asc, desc]

    Default value: asc

    Page order.

    status string

    Possible values: [PENDING, WAITING, WAITING_ANALYSIS, COMPLETED, FAILED, REJECTED, SCHEDULED, PENDING_CANCEL, CANCELLED, ERROR]

    Payment status.

    created_at_start date-time

    Filter by created at start.

    created_at_end date-time

    Filter by created at end.

    participant_id string

    Participant UUID.

Header Parameters

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

Responses

Payments returned successfully.

Schema
    page numberrequired

    Page number.

    page_size numberrequired

    Page size.

    page_total numberrequired

    Page total.

    total numberrequired

    Total of elements.

    data object[]required

    Payments data.

  • Array [
  • id stringrequired

    Payment UUID.

    user_id stringrequired

    User UUID.

    open_finance_participant_id stringrequired

    Participant UUID.

    payment_consent_id stringrequired

    Payment consent UUID.

    status stringrequired

    Possible values: [PENDING, WAITING, WAITING_ANALYSIS, COMPLETED, FAILED, REJECTED, SCHEDULED, PENDING_CANCEL, CANCELLED, ERROR]

    Payment status.

    amount numberrequired

    Payment amount in cents.

    payment_date date-timerequired

    Payment date.

    payment_type stringrequired

    Possible values: [ACCOUNT, KEY, QR_CODE, QR_CODE_STATIC_INSTANT, QR_CODE_STATIC_WITHDRAWAL, QR_CODE_DYNAMIC_DUE_DATE, QR_CODE_DYNAMIC_WITHDRAWAL, QR_CODE_DYNAMIC_CHANGE, QR_CODE_DYNAMIC_INSTANT, REFUND, AUTOMATIC_PAYMENT, OPEN_FINANCE]

    Payment type.

    end_to_end_id string

    End to end ID.

    rejection_reason_code string

    Rejection reason code.

    rejection_reason_detail string

    Rejection reason detail.

    failed_code string

    Failed code.

    failed_message string

    Failed message.

    third_part_creditor_name stringrequired

    Third part creditor name.

    third_part_creditor_document stringrequired

    Third part creditor document.

    third_part_creditor_person_type stringrequired

    Possible values: [NATURAL_PERSON, LEGAL_PERSON]

    Third part creditor person type.

    third_part_payment_creditor_account_ispb stringrequired

    Third part payment creditor account ISPB.

    third_part_payment_creditor_account_number stringrequired

    Third part payment creditor account number.

    third_part_payment_creditor_branch stringrequired

    Third part payment creditor branch.

    third_part_payment_creditor_account_type stringrequired

    Third part payment creditor account type.

    third_part_payment_pix_key string

    Third part payment pix key.

    third_part_payment_emv string

    Third part payment EMV.

    third_part_logged_user_document stringrequired

    Third part logged user document.

    third_part_logged_user_document_type stringrequired

    Possible values: [CPF, CNPJ]

    Third part logged user document type.

    third_part_business_entity_document string

    Third part business entity document.

    third_part_business_entity_document_type string

    Possible values: [CPF, CNPJ]

    Third part business entity document type.

    third_part_debtor_account_ispb string

    Third part debtor account ISPB.

    third_part_debtor_account_number string

    Third part debtor account number.

    third_part_debtor_account_type string

    Possible values: [CACC, CASH, CHAR, CISH, COMM, CPAC, LLSV, LOAN, MGLD, MOMA, NREX, ODFT, ONDP, OTHR, SACC, SLRY, SVGS, TAXE, TRAN, TRAS, CC, PG, CD, CG, CI, PP, PI]

    Third part debtor account type.

    third_part_debtor_account_branch string

    Third part debtor account branch.

    canceled_by_document string

    Canceled by document.

    canceled_by_document_type string

    Possible values: [CPF, CNPJ]

    Canceled by document type.

    cancel_reason string

    Possible values: [PENDING_CANCELED, SCHEDULED_CANCELED, CANCELLED_BY_MULTIPLE_COMPETENCES]

    Cancel reason.

    canceled_from string

    Possible values: [INITIATOR, HOLDER]

    Canceled from.

    canceled_at date-time

    Canceled at.

    created_at date-timerequired

    Payment created at.

    updated_at date-timerequired

    Payment updated at.

  • ]
Loading...